# Changelog

All notable changes to this project will be documented in this file.
Releases are named with the following scheme:

`<TQ module family>.BSP.SW.<version number>`

## Next Release

## TQMa335x.BSP.SW.0125

### Changed

* tqmls102xa: update kernel-rt and kernel
  * sync with yocto
* tqma335x: update kernel
  * sync with yocto
* tqma335x: update U-Boot
  * sync with yocto
  * use same U-Boot configuration for all RAM variants
* phyio: update to phyio-0.7
* treewide: update copyright entries and use SPDX-License-Identifier where applicable
* tqma6ul and tqma7: update U-Boot 2016.03 (rel_imx_4.1.15_2.0.0_ga)
  *  remove obsolete warning for TQMa6UL[L]xL with 512MB
* tqma6, tqma6ul and tqma7: update kernel-rt to 5.15.55-rt48
* tqma6, tqma6ul and tqma7: update kernel to 5.15.55
* sys-config: sync style and order

### Removed

* tq_examples-qt: not used

### Fixed

* tqma335x: update kernel
  * bugfix RTC error

## TQMa6UL.BSP.SW.0116 / TQMa6x.BSP.SW.0120 / TQMa7x.BSP.SW.0114

### Added

* tqma6ulx/mba6ulx: add LGA modules with 512MB RAM

### Changed

* tqma6, tqma6ul and tqma7: update README
* tqma6, tqma6ul and tqma7: update kernel-rt to 5.15.27-rt35
* treewide: update Copyright
* tqma6, tqma6ul and tqma7: update asound.state for 5.15 kernel
* tqma6, tqma6ul and tqma7: update kernel to 5.15.27
* u-boot imx 2016.03: update tqma6ul fuses
* u-boot tqma335x: update mmc
* u-boot imx 2016.03: update
  * arm: mx6/module_fuse.c: backport newer kernel support
  * patch e-MMC DSR in kernel dt
  * tqc: common: tqc_emmc: improve for fixing multiple dt versions
* u-boot 2017.11: update
  * tqmls102xa: fix eeprom
  * patch e-MMC DSR in kernel dt
  * tqc: common: tqc_emmc: improve for fixing multiple dt versions

### Fixed

* tqma6, tqma6ul and tqma7: rules: remove unused U_BOOT_FSL_*_URL
* tqma6ul and tqma7: platforms: remove ignored select U_BOOT_SOURCE_IMX

## TQMa335x.BSP.SW.0120

### Added

* Add initial support for TQMa335x[L] 256MB and 512MB

### Removed

* config: boot-mlo-vfat.config

### Fixed

* fix U_BOOT_FTP_BASE_URL
* TQMa335x[L]: Add missing HOST_MTOOLS

## TQMa7x.BSP.SW.0113 / TQMa6ULx.BSP.SW.0115

### Added

* add systemd ethernet config for eth0 and eth1
* add option to load tq u-boot from TQ-Systems github repo

### Changed

* kernel[-rt]: update to prevent eth0 link up/down problem on tqma6ul[l]2[l]
* ptxconf: activate SYSTEMD_NETWORK for systemd configs
* u-boot: load tq u-boot from TQ-Systems github repo
* kernel-rt: update 5.4 mainline kernel to 5.4.87-rt48
* kernel: update 5.4 mainline kernel to 5.4.87

### Fixed

* tqma6ul\[l\]x\[l\]: update asound.state for kernel 5.4
* tqma7x: update asound.state for kernel 5.4
* tqmls102xa: update asound.state for kernel 5.4

### Removed

* remove patches from u-boot imx 2016.03 and mainline 2017.11
* remove patches from kernel 4.19 and u-boot 2019.04
* tqma57xx:remove config


## TQMa6x.BSP.SW.0119-fix01

* tqma6: u-boot: add support for dp variant

## TQMa6x.BSP.SW.0119

* tqma6x: update asound.state for MBa6x
* remove patches and rules of unused versions
* tqma57xx-ti:remove config
* tqma6x: u-boot: enable md5 hash and license command
* tqma6x / tqmls102xa: u-boot: backport FAT patches from upstream
  this is needed, to prevent fat write errors. Seems the errors are showed up
  after update to newer gcc
* tqma6q: images: add recipes for 2GB variant
* tqma6q: u-boot: support for 2GB variant
* tqma6x: u-boot: enable memtest by default
* tqmls1021a: support for 2GB variant
* tqmls1021a: e-mmc dat0 workaround
* tqma7x-fsl:remove config
* tqma6x-fsl: remove config
* tqma6ul\[l\]x\[l\]-fsl: remove config
* tqmls102xa: kernel: update mainline kernel to v5.4.39
* tqma7x: kernel: update mainline kernel to v5.4.39
* tqma6x: kernel: update mainline kernel to v5.4.39
* tqma6ul\[l\]x\[l\]: new platform with mainline kernel v5.4.39
* add option to load tq mainline kernel[-rt] from github

* recipes: remove now unneeded QSPI header recipes and configs
* tqma7x\[-fsl\]: qspi system image generation for all memory types
* tqma6ul-fsl: linux: fix USB OTG PWR pin polarity issue

## TQMa57xx.BSP.SW.0009 / TQMa57xx.FTG.SW.20200311

* tqma57xx: add new kernel (mainline v4.19.94-rt39)
* tqma57xx: sd card image with MLO/u-boot raw on media
* tqma57xx-ti: add new platform for ti-kernel (ti2019.06-rt)

## TQMa6x.BSP.SW.0115 / TQMa6DQP-FSL.FTG.SW.20200117

* doc: updates and convert more files to Markdown
* tqma6x: increase kernel space for SPI-NOR (changes default U-Boot env)
* tqma6x-fsl: increase kernel space for SPI-NOR (changes default U-Boot env)
* tqma7x: allow booting mainline kernel secure (U-Boot provides PSCI)
* u-boot v2017.11: backport tooling fixes for libfdt, needed for tqmls102x yocto

## TQMa6UL.BSP.SW.0110 / TQMa6UL.FTG.SW.20191213

* doc: convert more files to Markdown
* tqma6ul\[l\]x: add support for 512 MB variant of TQMa6UL\[L\]x REV.030x
* tqma6ullx\[l\]: add missing imgage rules (fix BSP 0107)
* tqma6ul\[l\]x\[l\]: u-boot: support 512 MB variant of TQMa6UL\[L\]x REV.030x
* tqma6ul\[l\]x\[l\]: u-boot: typo fixes in output / banner / warnings
* tqma6ul\[l\]x\[l\]: u-boot: add warning for CPU / config mismatch

## TQMa57xx.BSP.SW.0008 / TQMa57xx.FTG.SW.20191206

* tqma57xx: add new platform and release manufacture u-boot
* u-boot: make license and md5 configurable
* tqma6ulx: Update Documentation
* tqma6ulx: add qspi images for i.MX6ULL variants

## TQMa6UL.BSP.SW.0109 / TQMa6UL.FTG.SW.20191128

* tqma6ulx-fsl: u-boot: ram setup is now qualified  for TQMa6ULLx
* tqma7x-fsl: u-boot: configure USB OTG port as OTG
* tqma6x-fsl: u-boot: configure USB OTG port as OTG
* tqma6x-fsl: kernel: configuration USB OTG port as OTG
* tqma6x-fsl: kernel: basic HDMI support
* tqma6x-fsl: kernel: fix warning and compatible entries in device tree (rtc, eeprom, temp-sensor)
* tqma6x-fsl: enable missing derivers in kernelconfig
* tqma6x-fsl: remove unsupported platforms from kernelconfig
* tqma6x-fsl: add rule and enable SPI NOR u-boot

## MBa6ULxL.BSP.SW.0101 / TQMa6UL.BSP.SW.0108

* mba6ulxl: release to manufacture
* doc: add links for TQMa6UL\[L\]x\[L\] platforms
* doc: fix version references
* tqma7x\[-fsl\], tqma6ul\[l\]x\[l\]: u-boot: fix for cache / MMU after serial downloader mode
* tqma7x / tqma7x-fsl: improve asound.state for MBa6x
* tqma6ul\[l\]x\[l\]: improve asound.state for MBa6UL\[L\]x
* tqma6x: improve asound.state for MBa6x
* rules: add micron vendor CMD56 support to mmc-utils
* rules: update mmc-utils version to latest remote in upstream ptxdist

## TQMLS102xA.BSP.SW.0112

* ptxdist: fix boardsetup misfunction issue (backport from ptxdist upstream)
* rules: changes som git URL to use https instead of git (firewall issues)
* tqma6x: kernel: add dual lvds device tree support
* tqma6x: kernel: remove chimei lvds device tree support
* tqmls102xa: kernel: fix reboot issue
* tqmls102xa: kernel: fix rs485 support in lpuart driver
* tqmls102xa: kernel: disable SND_SUPPORT_OLD_API and enable SND_HRTIMER
* tqmls102xa: kernel: enable CRYPTO_USER and CRYPTO_USER_API
* tqmls102xa: kernel: enable IPv6
* all platforms:: kernel: disable CONFIG_MTD_CFI and CONFIG_MTD_NAND
* all platforms: kernel: disable CONFIG_UEVENT_HELPER
* tqma6x: kernel: disable QSPI and MTD_SPI_NOR_USE_4K_SECTORS
* tqma6x: kernel: disable CONFIG_SOC_IMX5
* tqma7x / tqma7x-fsl: kernel: enable KERNEL_MODE_NEON inlc. algos
* tqma6x / tqma6x-fsl: kernel: enable KERNEL_MODE_NEON
* tqma6ulx-fsl: enable PTXCONF_KERNEL_XPKG (ptp / spidev test)
* tqma7x: disable packages used for NXP kernels only
* all platforms: disable PYTHON_OPCUA when enabled (rootfs tinyfication / cleanup)
* all platforms: enable PTXCONF_PROJECT_CHECK_LICENSES in configs
* all platforms: use PTXDIST_BSP_AUTOVERSION in configs
* all platforms: upgrade toolchain to 2018.12.0 / gcc 8.2.1
* tqma6x-fsl: resize rootfs to 512 MiB
* rules / packages: prepare toolachain update / fixes and updates for new glibc

## TQMa6x.BSP.SW.0114

* TQMa6x: update README
* TQMa6x: fix udev in tiny config
* TQMa6x: qt5: backport patch for webengine support
* TQMa6x: fix LVDS support
* all platforms: disable PTX canutils (canconfig is replaced with ip from iproute2)
* all platforms: rewrite sys-config to use ip to configure can
* TQMa7x: update / fix README

## TQMa7x.BSP.SW.0108

* TQMa7x-[FSL]: configure USB OTG port as OTG port

## TQMLS102xA.BSP.SW.0111

* TQMLS102xA: add audio Support
* TQMa7x: new platform with linux v4.14.78 / linux-rt v4.14.78-rt47
* all platforms: remove support for kmsfb
* all platforms: enable libcurl with http support

## TQMa6UL.BSP.SW.0107 / MBa6ULxL.BSP.SW.0100

* all platforms: remove old LVDS display with EGTOUCH support (not longer available)
* all platforms: update to ptxdist 2019.01.0
* TQMa6x-FSL: port to linux-imx rel_4.14.78_1.0.0
* TQMa7x-FSL: port to linux-imx rel_4.14.78_1.0.0
* TQMa6UL\[L\]x\[L\]-FSL: port to linux-imx rel_4.14.78_1.0.0
* all platforms: update can support
* all platforms: drop support for ptx-canutils except canconfig
* all platforms: enable iproute2
* all platforms: preconfigure can interfaces
* all platforms: configure SDMA support as kernel module to enable firmware from rootfs
* all platforms: sync kernelconfigs for TRACING
* all platforms: sync kernelconfigs for DYNAMIC_PRINTK
* all platforms: sync kernelconfigs for MAGIC_SYSRQ
* all platforms: sync kernelconfigs for hang check detector / lockup detector
* all platforms: sync kernelconfigs for network buffer bloat
* all platforms: sync kernelconfigs for features unused in embedded configs
* all platforms: sync kernelconfigs for systemd (BPF and others)
* all platforms: enable ntpdate and ntptime
* all platforms: enable screen

## TQMLS102xA.BSP.SW.0110

* TQMa6x: add new LVDS panel
* TQMLS102xA: update U-Boot to v2017.11
* TQMLS102xA: update kernel to v4.14.78
* TQMLS102xA / TQMa6x: add kernel-rt support (v4.14.78-rt47)
* TQMLS102xA: combined image (RCW/PBI + U-Boot-Binary)
* TQMLS102xA: RCW variants for CAN support
* TQMLS102xA: e-MMC boot partition access (not bootable)
* TQMLS102xA: UBI: supports RootFS update in U-Boot
* TQMLS102xA: Extended display support for LVDS and parallel panels
* TQMLS102xA: disable support for EGTOUCH
* all platforms: update to ptxdist 2019.09.0
* all platforms: fix reboot with NFS root under systemd
* all platforms: move image rules from image2 to image section
* TQMa6x: fix using wrong mmc env dev in U-Boot
* TQMa6x: fix missing CONFIG_VT for kernel
* TQMa6x: kernelconfig: enable DRM panel driver
* TQMa6x: resize rootfs to 512 MiB
* all platforms: disable gst-plugins-ugly (license restrictions)
* all platforms: disable netperf (license restrictions)
* all platforms: provide same mountpoints under /media
* all platforms: syncronize busybox configuration

## TQMa6x.BSP.SW.0113

* TQMa6x: update U-Boot to v2017.11
* TQMa6x: update kernel to v4.14.69
* all platforms: update to ptxdist 2018.05.0
* all platforms: update to OSELAS.Toolchain 2018.02
