# TQ-Systems PTXdist BSP

This README describes generic aspects of the BSP.

See README.\<MODULE_NAME\> files for module specific aspects.

Please report any issues to support@tq-group.com

## Versions

### Build tool:

  Version: PTXdist 2020.01.0
  WWW: https://ptxdist.org/
  URL: http://public.pengutronix.de/software/ptxdist/ptxdist-2020.01.0.tar.bz2
  GIT: https://git.pengutronix.de/git/ptxdist

### Toolchain:

  Version: OSELAS.Toolchain-2019.09.1/arm-v7a-linux-gnueabihf (gcc-9.2.1 / glibc-2.30 / binutils-2.32)
  WWW: http://www.pengutronix.de/oselas/toolchain/index_en.html
  URL: http://public.pengutronix.de/oselas/toolchain/OSELAS.Toolchain-2019.09.1.tar.bz2
  GIT: https://git.pengutronix.de/git/OSELAS.Toolchain

  *Note:* precompiled toolchains (deb package) are provided for Debian and
  LTS versions of Ubuntu only.

Other versions are noted in README.\<MODULE_NAME\>, if applicable.

## BSP

### Directory structure

In addition to the standard directories in a PTXdist based BSP, you will also
find the following directories:

* /tools          contains helper scripts for configuration and release
* /configs        contains module specific configurations, files and recipes

### Preparation

Install PTXdist using helper script

  ./tools/install_ptxdist.sh --version <PTXDIST-VERSION>

(see section VERSIONS above for proper <PTXDIST-VERSION>)

### Usage

*Configuration:*

Configure the BSP for a specific module using helper script

`  ./tools/config-<PLATFORM_NAME>\[.<ROOTFS>\]`

See README.<MODULE_NAME>.md for proper <PLATFORM_NAME> and available <ROOTFS>
variants.

*Build:*

Build the BSP by calling

`  ./p images`

This builds the BSP in `platform-<PLATFORM_NAME>`
The build results are located in `platform-<PLATFORM_NAME>/images`

(see README.<MODULE_NAME> for details on the build results)

*Remarks:*

The BSP is configured to create and use dev-packages. To speed up development
cycles you can use

`  tools/install_packages.sh`

to copy the packages to the configured location. Please read and understand
the PTXdist manual when using this feature.

### Create your own platform

1. Copy TQ platform as a starting point for your custom platform  
`     cp -r configs/platform-tq-<MODULE_NAME>/<MAINBOARD_NAME> configs/platform-tq-<MODULE_NAME>/<CUSTOM_MAINBOARD_NAME>`

2. Switch to your newly created custom platform  
`     ./p platformconfig configs/platform-tq-<MODULE_NAME>/<CUSTOM_MAINBOARD_NAME>`

3. Rename your custom platform  
`     ./p platformconfig`  
   Change options "platform name" and "platform version" as desired

4. Next steps
   * add / change bootloader / linux patches
   * change rootfs configuration
   * go further ...
