# -*-makefile-*-
#
# Copyright (C) 2016-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Marco Felsch, Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_IMAGE_UBOOT_512MB_MBA6ULX_QSPI) += image-uboot-512mb-mba6ulx-qspi

#
# Paths and names
#
IMAGE_UBOOT_512MB_MBA6ULX_QSPI		:= image-uboot-512mb-mba6ulx-qspi
IMAGE_UBOOT_512MB_MBA6ULX_QSPI_DIR	:= $(BUILDDIR)/$(IMAGE_UBOOT_512MB_MBA6ULX_QSPI)
IMAGE_UBOOT_512MB_MBA6ULX_QSPI_IMAGE	:= $(IMAGEDIR)/uboot-512mb-mba6ulx-qspi.img
IMAGE_UBOOT_512MB_MBA6ULX_QSPI_BOOT_IMAGE = \
	$(call remove_quotes,$(PTXCONF_U_BOOT_FSL_512MB_MBA6ULX_QSPI_INSTALL_NAME)).imx

IMAGE_UBOOT_512MB_MBA6ULX_QSPI_DEVICE_TREE = imx6ul-tqma6ul2-mba6ulx.dtb

IMAGE_UBOOT_512MB_MBA6ULX_QSPI_DATA	= \
	$(IMAGE_UBOOT_512MB_MBA6ULX_QSPI_BOOT_IMAGE) \
	$(IMAGEDIR)/linuximage \
	$(IMAGEDIR)/$(IMAGE_UBOOT_512MB_MBA6ULX_QSPI_DEVICE_TREE)

IMAGE_UBOOT_512MB_MBA6ULX_QSPI_CONFIG	:= uboot-mba6ul-qspi.config

# ----------------------------------------------------------------------------
# Image
# ----------------------------------------------------------------------------
IMAGE_UBOOT_512MB_MBA6ULX_QSPI_ENV = \
	BOOT=$(IMAGE_UBOOT_512MB_MBA6ULX_QSPI_BOOT_IMAGE) \
	KERNEL=linuximage \
	DTB=$(IMAGE_UBOOT_512MB_MBA6ULX_QSPI_DEVICE_TREE)


$(IMAGE_UBOOT_512MB_MBA6ULX_QSPI_IMAGE):
	@$(call targetinfo)
	@$(call image/genimage, IMAGE_UBOOT_512MB_MBA6ULX_QSPI)
	@$(call finish)

# vim: syntax=make
