# -*-makefile-*-
#
# Copyright (C) 2007 by Sascha Hauer
#
# Copyright (C) 2009-2010 by Marc Kleine-Budde <mkl@pengutronix.de>
#
# Copyright (C) 2013-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI) += u-boot-fsl-mba6ulx-qspi

#
# Paths and names
#
U_BOOT_FSL_MBA6ULX_QSPI_VERSION	:= $(call remove_quotes,$(PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_VERSION))
U_BOOT_FSL_MBA6ULX_QSPI_MD5	:= $(call remove_quotes,$(PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_MD5))
U_BOOT_FSL_MBA6ULX_QSPI		:= u-boot-$(U_BOOT_FSL_MBA6ULX_QSPI_VERSION)
U_BOOT_FSL_MBA6ULX_QSPI_SUFFIX	:= $(U_BOOT_TARBALL_SUFFIX)
U_BOOT_FSL_MBA6ULX_QSPI_SOURCE	:= $(SRCDIR)/$(U_BOOT_FSL_MBA6ULX_QSPI).$(U_BOOT_FSL_MBA6ULX_QSPI_SUFFIX)
U_BOOT_FSL_MBA6ULX_QSPI_DIR	:= $(BUILDDIR)/u-boot-fsl-mba6ulx-qspi-$(U_BOOT_FSL_MBA6ULX_QSPI_VERSION)

U_BOOT_FSL_MBA6ULX_QSPI_LICENSE	:= $(U_BOOT_LICENSE)
U_BOOT_FSL_MBA6ULX_QSPI_LICENSE_FILES	:= $(U_BOOT_LICENSE_FILES)
U_BOOT_FSL_MBA6ULX_QSPI_DEVPKG	:= NO

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

U_BOOT_FSL_MBA6ULX_QSPI_PATH	:= PATH=$(CROSS_PATH)
U_BOOT_FSL_MBA6ULX_QSPI_MAKE_OPT	:= CROSS_COMPILE=$(BOOTLOADER_CROSS_COMPILE) HOSTCC=$(HOSTCC)
U_BOOT_FSL_MBA6ULX_QSPI_MAKE_PAR	:= NO
U_BOOT_FSL_MBA6ULX_QSPI_TAGS_OPT	:= ctags cscope etags

$(STATEDIR)/u-boot-fsl-mba6ulx-qspi.prepare:
	@$(call targetinfo)
	cd $(U_BOOT_FSL_MBA6ULX_QSPI_DIR) && \
		$(U_BOOT_FSL_MBA6ULX_QSPI_PATH) \
		$(MAKE) $(U_BOOT_FSL_MBA6ULX_QSPI_MAKE_OPT) $(call remove_quotes,$(PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_CONFIG))
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/u-boot-fsl-mba6ulx-qspi.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/u-boot-fsl-mba6ulx-qspi.targetinstall:
	@$(call targetinfo)
	@install -D -m644 $(U_BOOT_FSL_MBA6ULX_QSPI_DIR)/u-boot.bin $(IMAGEDIR)/$(PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_INSTALL_NAME).bin
ifdef PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_INSTALL_SREC
	@install -D -m644 $(U_BOOT_FSL_MBA6ULX_QSPI_DIR)/u-boot.srec $(IMAGEDIR)/$(PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_INSTALL_NAME).srec
endif
ifdef PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_INSTALL_ELF
	@install -D -m644 $(U_BOOT_FSL_MBA6ULX_QSPI_DIR)/u-boot $(IMAGEDIR)/$(PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_INSTALL_NAME).elf
endif
ifdef PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_INSTALL_U_BOOT_IMX
	@install -D -m644 $(U_BOOT_FSL_MBA6ULX_QSPI_DIR)/u-boot.imx $(IMAGEDIR)/$(PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_INSTALL_NAME).imx
endif
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/u-boot-fsl-mba6ulx-qspi.clean:
	@$(call targetinfo)
	@$(call clean_pkg, U_BOOT_FSL_MBA6ULX_QSPI)
	@rm -f $(IMAGEDIR)/$(PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_INSTALL_NAME).bin
	@rm -f $(IMAGEDIR)/$(PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_INSTALL_NAME).srec
	@rm -f $(IMAGEDIR)/$(PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_INSTALL_NAME).imx
	@rm -f $(IMAGEDIR)/$(PTXCONF_U_BOOT_FSL_MBA6ULX_QSPI_INSTALL_NAME).elf

# vim: syntax=make
