# -*-makefile-*-
#
# Copyright (C) 2016-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_IMAGE_UBOOT_SD) += image-uboot-sd

#
# Paths and names
#
IMAGE_UBOOT_SD		:= image-uboot-sd
IMAGE_UBOOT_SD_DIR	:= $(BUILDDIR)/$(IMAGE_UBOOT_SD)
IMAGE_UBOOT_SD_IMAGE	:= $(IMAGEDIR)/uboot-sd.img

IMAGE_UBOOT_SD_UBOOT_IMAGE = $(U_BOOT_MMCSD_IMAGE)

IMAGE_UBOOT_SD_DATA		= \
	$(IMAGEDIR)/$(IMAGE_UBOOT_SD_UBOOT) \
	$(IMAGE_ROOT_EXT_IMAGE) \
	$(IMAGE_FIRMWARE_IMG_IMAGE)

IMAGE_UBOOT_SD_CONFIG	:= uboot-hd-ls102xa.config

# ----------------------------------------------------------------------------
# Image
# ----------------------------------------------------------------------------

IMAGE_UBOOT_SD_ENV = \
	UBOOT=$(IMAGE_UBOOT_SD_UBOOT_IMAGE) \
	ROOTFS=$(notdir $(IMAGE_ROOT_EXT_IMAGE)) \
	ROOTFS_SIZE=$(call remove_quotes,$(PTXCONF_IMAGE_UBOOT_SD_ROOTFS_SIZE)) \
	FIRMWARE=$(notdir $(IMAGE_FIRMWARE_IMG_IMAGE)) \
	FIRMWARE_SIZE=$(call remove_quotes,$(PTXCONF_IMAGE_UBOOT_SD_FIRMWARE_SIZE)) \
	SPARE_SIZE=$(call remove_quotes,$(PTXCONF_IMAGE_UBOOT_SD_SPARE_SIZE))

$(IMAGE_UBOOT_SD_IMAGE):
	@$(call targetinfo)
	@$(call image/genimage, IMAGE_UBOOT_SD)
	@$(call finish)

# vim: syntax=make
