# -*-makefile-*-
#
# Copyright (C) 2015-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_LS102XA_RCW) += ls102xa-rcw

#
# Paths and names
#
LS102XA_RCW	:= ls102xa-rcw
LS102XA_RCW_URL	:= file://local_src/$(LS102XA_RCW)
LS102XA_RCW_DIR	:= $(BUILDDIR)/$(LS102XA_RCW)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------
$(STATEDIR)/ls102xa-rcw.prepare:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------
$(STATEDIR)/ls102xa-rcw.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/ls102xa-rcw.install:
	@$(call targetinfo)
	@$(foreach rcw, $(PTXCONF_LS102XA_RCW_FILES), \
		tclsh $(PTXCONF_SYSROOT_HOST)/usr/sbin/byte_swap.tcl $(LS102XA_RCW_DIR)/$(rcw) $(IMAGEDIR)/$(LS102XA_RCW)-$(rcw).bswap 8 \
	  )
	@$(call touch)

# vim: syntax=make
