# -*-makefile-*-
#
# Copyright (C) 2007 by Sascha Hauer
#
# Copyright (C) 2009-2010 by Marc Kleine-Budde <mkl@pengutronix.de>
#
# Copyright (C) 2015-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_U_BOOT_MMCSD) += u-boot-mmcsd

#
# Paths and names
#
U_BOOT_MMCSD_VERSION	:= $(call remove_quotes,$(PTXCONF_U_BOOT_MMCSD_VERSION))
U_BOOT_MMCSD_MD5	:= $(call remove_quotes,$(PTXCONF_U_BOOT_MMCSD_MD5))
U_BOOT_MMCSD		:= u-boot-$(U_BOOT_MMCSD_VERSION)
U_BOOT_MMCSD_SUFFIX	= $(U_BOOT_SUFFIX)
U_BOOT_MMCSD_URL	= $(U_BOOT_URL)
U_BOOT_MMCSD_SOURCE	= $(U_BOOT_SOURCE)
U_BOOT_MMCSD_DIR	= $(BUILDDIR)/$(U_BOOT_MMCSD)-mmcsd

U_BOOT_MMCSD_LICENSE	= $(U_BOOT_LICENSE)
U_BOOT_MMCSD_LICENSE_FILES = $(U_BOOT_LICENSE_FILES)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

U_BOOT_MMCSD_PATH	= $(U_BOOT_PATH)
U_BOOT_MMCSD_MAKE_OPT	= $(U_BOOT_MAKE_OPT)
U_BOOT_MMCSD_MAKE_PAR	= $(U_BOOT_MAKE_PAR)
U_BOOT_MMCSD_TAGS_OPT	= $(U_BOOT_TAGS_OPT)

$(STATEDIR)/u-boot-mmcsd.prepare:
	@$(call targetinfo)
	cd $(U_BOOT_MMCSD_DIR) && \
		$(U_BOOT_MMCSD_PATH) \
		$(MAKE) $(U_BOOT_MMCSD_MAKE_OPT) $(PTXCONF_U_BOOT_MMCSD_CONFIG)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/u-boot-mmcsd.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------
ifdef PTXCONF_U_BOOT_MMCSD_INSTALL_SPL_PBL
U_BOOT_MMCSD_SPL_PBL := u-boot-with-spl-pbl.bin
U_BOOT_MMCSD_IMAGE := $(basename $(U_BOOT_MMCSD_SPL_PBL))-mmcsd-$(U_BOOT_MMCSD_VERSION)$(suffix $(U_BOOT_MMCSD_SPL_PBL))
endif

$(STATEDIR)/u-boot-mmcsd.targetinstall:
	@$(call targetinfo)
ifdef PTXCONF_U_BOOT_MMCSD_INSTALL_SPL_PBL
	@install -D -m644 $(U_BOOT_MMCSD_DIR)/$(U_BOOT_MMCSD_SPL_PBL) \
			$(IMAGEDIR)/$(U_BOOT_MMCSD_IMAGE)
endif
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/u-boot-mmcsd.clean:
	@$(call targetinfo)
	@$(call clean_pkg, U_BOOT_MMCSD)
	@rm -f $(IMAGEDIR)/u-boot-mmcsd.*

# vim: syntax=make
