# -*-makefile-*-
#
# Copyright (C) 2016-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Marco Felsch
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_CONFIG_PARSER) += config-parser

#
# Paths and names
#
CONFIG_PARSER_VERSION	:= 0.1
CONFIG_PARSER_MD5	:= d11f68fc42152ca4390a5c5fb60be760
CONFIG_PARSER		:= config-parser-$(CONFIG_PARSER_VERSION)
CONFIG_PARSER_SUFFIX	:= zip
CONFIG_PARSER_URL	:= https://gitlab.com/chilladx/config-parser/repository/archive.$(CONFIG_PARSER_SUFFIX)
CONFIG_PARSER_SOURCE	:= $(SRCDIR)/$(CONFIG_PARSER).$(CONFIG_PARSER_SUFFIX)
CONFIG_PARSER_DIR	:= $(BUILDDIR)/$(CONFIG_PARSER)
CONFIG_PARSER_LICENSE	:= MIT
CONFIG_PARSER_LICENSE_FILES := file://LICENSE;md5=f70ec6bdb4506c81f4654dbc58cc4e8f

CONFIG_PARSER_BIN	:= config-parser.sh
CONFIG_PARSER_DSTDIR	:= /usr/bin
# ----------------------------------------------------------------------------
# Get
# ----------------------------------------------------------------------------

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

CONFIG_PARSER_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
CONFIG_PARSER_CONF_TOOL	:= NO

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

$(STATEDIR)/config-parser.compile:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

$(STATEDIR)/config-parser.install:
	@$(call targetinfo)
	@rm -rf "$(CONFIG_PARSER_PKGDIR)"
	@mkdir -p "$(CONFIG_PARSER_PKGDIR)/$(CONFIG_PARSER_DSTDIR)"
	@cp -dpf "$(CONFIG_PARSER_DIR)/$(CONFIG_PARSER_BIN)" \
		"$(CONFIG_PARSER_PKGDIR)/$(CONFIG_PARSER_DSTDIR)"
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/config-parser.targetinstall:
	@$(call targetinfo)

	@$(call install_init, config-parser)
	@$(call install_fixup, config-parser,PRIORITY,optional)
	@$(call install_fixup, config-parser,SECTION,base)
	@$(call install_fixup, config-parser,AUTHOR,"Marco Felsch, TQ-Systems GmbH")
	@$(call install_fixup, config-parser,DESCRIPTION,missing)

	@$(call install_copy, config-parser, 0, 0, 0755, -, \
		$(CONFIG_PARSER_DSTDIR)/$(CONFIG_PARSER_BIN))

	@$(call install_finish, config-parser)

	@$(call touch)

# vim: syntax=make
