# -*-makefile-*-
#
# Copyright (C) 2016-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_GST_INSTRUMENTS) += gst-instruments

#
# Paths and names
#
GST_INSTRUMENTS_VERSION	:= 0.1.2
GST_INSTRUMENTS_MD5	:= 2cf5f22bb2a19c6bada6698577a41218
GST_INSTRUMENTS		:= gst-instruments-$(GST_INSTRUMENTS_VERSION)
GST_INSTRUMENTS_SUFFIX	:= tar.gz
GST_INSTRUMENTS_URL	:= https://github.com/kirushyk/gst-instruments/archive/$(GST_INSTRUMENTS_VERSION).$(GST_INSTRUMENTS_SUFFIX)
GST_INSTRUMENTS_SOURCE	:= $(SRCDIR)/$(GST_INSTRUMENTS).$(GST_INSTRUMENTS_SUFFIX)
GST_INSTRUMENTS_DIR	:= $(BUILDDIR)/$(GST_INSTRUMENTS)
GST_INSTRUMENTS_LICENSE	:= LGPL-3.0
GST_INSTRUMENTS_LICENSE_FILES	:= file://COPYING;md5=e6a600fd5e1d9cbde2d983680233ad02


# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#GST_INSTRUMENTS_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
GST_INSTRUMENTS_CONF_TOOL	:= autoconf
GST_INSTRUMENTS_CONF_OPT	:= \
	$(CROSS_AUTOCONF_USR) \
	--disable-ui

#$(STATEDIR)/gst-instruments.prepare:
#	@$(call targetinfo)
#	@$(call clean, $(GST_INSTRUMENTS_DIR)/config.cache)
#	cd $(GST_INSTRUMENTS_DIR) && \
#		$(GST_INSTRUMENTS_PATH) $(GST_INSTRUMENTS_ENV) \
#		./configure $(GST_INSTRUMENTS_CONF_OPT)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/gst-instruments.compile:
#	@$(call targetinfo)
#	@$(call world/compile, GST_INSTRUMENTS)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/gst-instruments.install:
#	@$(call targetinfo)
#	@$(call world/install, GST_INSTRUMENTS)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/gst-instruments.targetinstall:
	@$(call targetinfo)

	@$(call install_init, gst-instruments)
	@$(call install_fixup, gst-instruments,PRIORITY,optional)
	@$(call install_fixup, gst-instruments,SECTION,base)
	@$(call install_fixup, gst-instruments,AUTHOR,"Markus Niebel, TQ-Systems GmbH")
	@$(call install_fixup, gst-instruments,DESCRIPTION,missing)

	@$(call install_copy, gst-instruments, 0, 0, 0755, -, /usr/bin/gst-top-1.0)
	@$(call install_copy, gst-instruments, 0, 0, 0755, -, /usr/bin/gst-report-1.0)
	@$(call install_lib, gst-instruments, 0, 0, 644, libgstintercept)

	@$(call install_finish, gst-instruments)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/gst-instruments.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, GST_INSTRUMENTS)

# vim: syntax=make
