# -*-makefile-*-
#
# Copyright (C) 2016-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_IMAGE_FIRMWARE_TGZ) += image-firmware-tgz

#
# Paths and names
#
IMAGE_FIRMWARE_TGZ		:= image-firmware-tgz
IMAGE_FIRMWARE_TGZ_DIR		:= $(BUILDDIR)/$(IMAGE_FIRMWARE_TGZ)
IMAGE_FIRMWARE_TGZ_IMAGE	:= $(IMAGEDIR)/firmware.tgz
IMAGE_FIRMWARE_TGZ_FILES	= $(IMAGE_KERNEL_IMAGE)

ifdef PTXCONF_DTC_OFTREE_DTS

IMAGE_FIRMWARE_TGZ_KERNEL_DTBS	= $(call remove_quotes,$(PTXCONF_DTC_OFTREE_DTS))
IMAGE_FIRMWARE_TGZ_KERNEL_DTBS	:= $(basename $(notdir $(IMAGE_FIRMWARE_TGZ_KERNEL_DTBS)))
IMAGE_FIRMWARE_TGZ_KERNEL_DTBS	:= $(addsuffix .dtb,$(IMAGE_FIRMWARE_TGZ_KERNEL_DTBS))
IMAGE_FIRMWARE_TGZ_KERNEL_DTBS	:= $(addprefix $(IMAGEDIR)/,$(IMAGE_FIRMWARE_TGZ_KERNEL_DTBS))

IMAGE_FIRMWARE_TGZ_FILES += $(IMAGE_FIRMWARE_TGZ_KERNEL_DTBS)

endif

ifdef PTXCONF_DTC_TI_OFTREE_DTS

IMAGE_FIRMWARE_TGZ_KERNEL_TI_DTBS	= $(call remove_quotes,$(PTXCONF_DTC_TI_OFTREE_DTS))
IMAGE_FIRMWARE_TGZ_KERNEL_TI_DTBS	:= $(basename $(notdir $(IMAGE_FIRMWARE_TGZ_KERNEL_TI_DTBS)))
IMAGE_FIRMWARE_TGZ_KERNEL_TI_DTBS	:= $(addsuffix .dtb-ti,$(IMAGE_FIRMWARE_TGZ_KERNEL_TI_DTBS))
IMAGE_FIRMWARE_TGZ_KERNEL_TI_DTBS	:= $(addprefix $(IMAGEDIR)/ti/,$(IMAGE_FIRMWARE_TGZ_KERNEL_TI_DTBS))

IMAGE_FIRMWARE_TGZ_FILES += $(IMAGE_FIRMWARE_TGZ_KERNEL_TI_DTBS)

endif

ifdef PTXCONF_KERNEL_TI
IMAGE_FIRMWARE_TGZ_FILES += $(IMAGEDIR)/linuximage-ti
endif

ifdef PTXCONF_IMAGE_KERNEL_RT

IMAGE_FIRMWARE_TGZ_FILES += $(IMAGE_KERNEL_RT_IMAGE)
IMAGE_FIRMWARE_TGZ_FILES += $(KERNEL_RT_IMG_DTBS)

endif

# ----------------------------------------------------------------------------
# Image
# ----------------------------------------------------------------------------
ifdef IMAGE_FIRMWARE_TGZ_IMAGE

$(IMAGE_FIRMWARE_TGZ_IMAGE):
	$(call targetinfo)
	-rm -rf $(IMAGE_FIRMWARE_TGZ_DIR)/*
	-mkdir -p $(IMAGE_FIRMWARE_TGZ_DIR)
	cp $(IMAGE_FIRMWARE_TGZ_FILES) $(IMAGE_FIRMWARE_TGZ_DIR)
	tar -cvzf $(IMAGE_FIRMWARE_TGZ_IMAGE) -C $(IMAGE_FIRMWARE_TGZ_DIR) .
	$(call finish)

endif

# vim: syntax=make
