# -*-makefile-*-
#
# Copyright (C) 2017-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
IMAGE_PACKAGES-$(PTXCONF_IMAGE_U_BOOT_ENV) += image-u-boot-env

#
# Paths and names
#
IMAGE_U_BOOT_ENV	:= image-u-boot-env
IMAGE_U_BOOT_ENV_DIR	:= $(BUILDDIR)/$(IMAGE_U_BOOT_ENV)
IMAGE_U_BOOT_ENV_IMAGE	:= $(IMAGEDIR)/u-boot-env.img
IMAGE_U_BOOT_ENV_CONFIG	:= $(shell ptxd_get_alternative config/u-boot-env u-boot.env && echo $$ptxd_reply)

# ----------------------------------------------------------------------------
# Image
# ----------------------------------------------------------------------------
IMAGE_U_BOOT_ENV_OPT	:= \
	-s $(strip $(PTXCONF_IMAGE_U_BOOT_ENV_SIZE))

ifeq ($(PTXCONF_ENDIAN_BIG),y)
IMAGE_U_BOOT_ENV_OPT	+= -b
endif

ifeq ($(PTXCONF_IMAGE_U_BOOT_ENV_REDUNDAND),y)
IMAGE_U_BOOT_ENV_OPT	+= -r
endif

$(IMAGE_U_BOOT_ENV_IMAGE): $(IMAGE_U_BOOT_ENV_CONFIG)
	@$(call targetinfo)
	@mkenvimage $(IMAGE_U_BOOT_ENV_OPT) \
		-o $(IMAGE_U_BOOT_ENV_IMAGE) \
		$(IMAGE_U_BOOT_ENV_CONFIG)
	@$(call finish)

# vim: syntax=make
