# -*-makefile-*-
#
# Copyright (C) 2016-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_LINPACK) += linpack

#
# Paths and names
#
LINPACK_VERSION	:= 0.2
LINPACK_MD5	:=
LINPACK		:= linpack
LINPACK_URL	:= file://local_src/$(LINPACK)
LINPACK_DIR	:= $(BUILDDIR)/$(LINPACK)
LINPACK_LICENSE	:= GPL-2.0

LINPACK_INSTALL_ROOT	:= /usr
LINPACK_INSTALL_BIN	:= $(LINPACK_INSTALL_ROOT)/sbin

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(LINPACK_SOURCE):
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# extract
# ----------------------------------------------------------------------------
$(STATEDIR)/linpack.extract:
	@$(call targetinfo)
	rm -rf $(LINPACK_DIR)
	cp -r $(PTXDIST_WORKSPACE)/local_src/$(LINPACK) $(LINPACK_DIR)
	@$(call touch)


# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

LINPACK_PATH	:= PATH=$(CROSS_PATH)
LINPACK_CONF_TOOL	:= NO

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

LINPACK_MAKE_OPT	:= \
			CROSS_COMPILE=$(PTXCONF_COMPILER_PREFIX) \
			all

LINPACK_MAKE_ENV	:= \
			$(CROSS_ENV) \
			CPPFLAGS=-I$(KERNEL_HEADERS_INCLUDE_DIR) $(CROSS_CPPFLAGS) \
			prefix=$(LINPACK_INSTALL_ROOT) \
			LDFLAGS=$(CROSS_CPPFLAGS)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

LINPACK_INSTALL_OPT	:= \
			install

LINPACK_INSTALL_ENV	:= \
			$(CROSS_ENV) \
			prefix=$(LINPACK_INSTALL_ROOT)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/linpack.targetinstall:
	@$(call targetinfo)
	@$(call install_init, linpack)
	@$(call install_fixup, linpack,PRIORITY,optional)
	@$(call install_fixup, linpack,SECTION,base)
	@$(call install_fixup, linpack,AUTHOR,"Markus Niebel, TQ-Systems GmbH")
	@$(call install_fixup, linpack,DESCRIPTION,missing)

	@$(call install_copy, linpack, 0, 0, 0755, $(LINPACK_INSTALL_BIN))
	@$(call install_copy, linpack, 0, 0, 0755, -, $(LINPACK_INSTALL_BIN)/linpack)

	@$(call install_finish, linpack)
	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

$(STATEDIR)/linpack.clean:
	@$(call targetinfo)
	@if [ -d $(LINPACK_DIR) ]; then \
		rm -rf $(LINPACK_DIR); \
	fi
	@$(call clean_pkg, LINPACK)

# vim: syntax=make
