# -*-makefile-*-
#
# Copyright (C) 2013-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_STRESSAPPTEST) += stressapptest

#
# Paths and names
#
STRESSAPPTEST_SUFFIX		:= tar.gz
STRESSAPPTEST_VERSION		:= v1.0.8
STRESSAPPTEST_MD5		:= 534cbd065c08513a6d774469a065b378
STRESSAPPTEST			:= stressapptest-$(STRESSAPPTEST_VERSION)
STRESSAPPTEST_URL		:= https://github.com/stressapptest/stressapptest.git;tag=$(STRESSAPPTEST_VERSION)
STRESSAPPTEST_SOURCE		:= $(SRCDIR)/$(STRESSAPPTEST).$(STRESSAPPTEST_SUFFIX)

STRESSAPPTEST_DIR		:= $(BUILDDIR)/$(STRESSAPPTEST)
STRESSAPPTEST_BUILD_OOT		:= NO
STRESSAPPTEST_LICENSE		:= Apache 2.0

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------

$(STATEDIR)/stressapptest.extract:
	@$(call targetinfo)
	@$(call clean, $(STRESSAPPTEST_DIR))
	@$(call extract, STRESSAPPTEST)
	cd $(STRESSAPPTEST_DIR) && [ -f configure ] || sh autogen.sh
	@$(call patchin, STRESSAPPTEST)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

STRESSAPPTEST_CONF_ENV	:= $(CROSS_ENV) \
			CPPFLAGS="-I$(KERNEL_HEADERS_INCLUDE_DIR) $(CROSS_CPPFLAGS)"
			   
#
# autoconf
#
STRESSAPPTEST_CONF_TOOL	:= autoconf
STRESSAPPTEST_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/stressapptest.targetinstall:
	@$(call targetinfo)

	@$(call install_init, stressapptest)
	@$(call install_fixup, stressapptest, PRIORITY, optional)
	@$(call install_fixup, stressapptest, SECTION, base)
	@$(call install_fixup, stressapptest, AUTHOR, "Markus Niebel, TQ-Systems GmbH")
	@$(call install_fixup, stressapptest, DESCRIPTION, missing)

	@$(call install_copy, stressapptest, 0, 0, 0755, -, /usr/bin/stressapptest)	

	@$(call install_finish, stressapptest)

	@$(call touch)

# vim: syntax=make
