# -*-makefile-*-
#
# Copyright (C) 2015-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_SYS_CONFIG) += sys-config

SYS_CONFIG_VERSION	:= 0.1

SYS_CONFIG_LICENSE	:= GPL-2.0

$(STATEDIR)/sys-config.install:
	@$(call targetinfo)
	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/sys-config.targetinstall:
	@$(call targetinfo)
	@$(call install_init, sys-config)
	@$(call install_fixup,sys-config,PRIORITY,optional)
	@$(call install_fixup,sys-config,SECTION,base)
	@$(call install_fixup,sys-config,AUTHOR,"Markus Niebel, TQ-Systems GmbH")
	@$(call install_fixup,sys-config,DESCRIPTION,missing)

	@$(call install_copy, sys-config, 0, 0, 0755, /usr/sbin)
	@$(call install_alternative, sys-config, 0, 0, 0755, /usr/sbin/sys-config)

ifdef PTXCONF_INITMETHOD_BBINIT
ifdef PTXCONF_SYS_CONFIG_STARTSCRIPT
	@$(call install_alternative, sys-config, 0, 0, 0755, /etc/init.d/sysconfd)
ifneq ($(call remove_quotes,$(PTXCONF_SYS_CONFIG_BBINIT_LINK)),)
	@$(call install_link, sys-config, ../init.d/sysconfd, \
		/etc/rc.d/$(PTXCONF_SYS_CONFIG_BBINIT_LINK))
endif
endif
endif

ifdef PTXCONF_SYS_CONFIG_SYSTEMD_UNIT
	@$(call install_alternative, sys-config, 0, 0, 0755, \
		/usr/lib/systemd/systemd-sysconfd)
	@$(call install_alternative, sys-config, 0, 0, 0644, \
		/usr/lib/systemd/system/sysconfd.service)
	@$(call install_link, sys-config, ../sysconfd.service, \
		/usr/lib/systemd/system/sysinit.target.wants/sysconfd.service)
endif

	@$(call install_finish,sys-config)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/sys-config.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, SYS_CONFIG)

# vim: syntax=make
