# -*-makefile-*-
#
# Copyright (C) 2014-2022 TQ-Systems GmbH <oss@ew.tq-group.com>, D-82229 Seefeld, Germany.
# Author: Markus Niebel
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_TQ_SYSTEMS_MEDIA) += tq-systems-media

TQ_SYSTEMS_MEDIA_VERSION	:= 0.5
TQ_SYSTEMS_MEDIA		:= tq-systems-media-$(TQ_SYSTEMS_MEDIA_VERSION)
TQ_SYSTEMS_MEDIA_SUFFIX		:= tar.gz
TQ_SYSTEMS_MEDIA_ARCHIVE	:= $(PTXDIST_WORKSPACE)/local_src/$(TQ_SYSTEMS_MEDIA).$(TQ_SYSTEMS_MEDIA_SUFFIX)
TQ_SYSTEMS_MEDIA_URL		:= file://$(PTXDIST_WORKSPACE)/local_src/$(TQ_SYSTEMS_MEDIA).$(TQ_SYSTEMS_MEDIA_SUFFIX)
TQ_SYSTEMS_MEDIA_DIR		:= $(BUILDDIR)/$(TQ_SYSTEMS_MEDIA)

TQ_SYSTEMS_MEDIA_LICENSE	:= proprietary


# ----------------------------------------------------------------------------
# omit the 'get' stage (due to the fact, the files are already present)
# ----------------------------------------------------------------------------

$(STATEDIR)/tq-systems-media.get:
		@$(call targetinfo)
		@$(call touch)

# ----------------------------------------------------------------------------
# omit the 'extract' stage (due to the fact, all files are already present)
# ----------------------------------------------------------------------------

#$(STATEDIR)/tq-systems-media.extract:
#		@$(call targetinfo)
#		@$(call touch)

# ----------------------------------------------------------------------------
# omit the 'prepare' stage (due to the fact, nothing is to be built)
# ----------------------------------------------------------------------------

$(STATEDIR)/tq-systems-media.prepare:
		@$(call targetinfo)
		@$(call touch)

# ----------------------------------------------------------------------------
# omit the 'compile' stage (due to the fact, nothing is to be built)
# ----------------------------------------------------------------------------

$(STATEDIR)/tq-systems-media.compile:
		@$(call targetinfo)
		@$(call touch)

# ----------------------------------------------------------------------------
# omit the 'install' stage (due to the fact, nothing is to be installed into the sysroot)
# ----------------------------------------------------------------------------

$(STATEDIR)/tq-systems-media.install:
		@$(call targetinfo)
		@rm -rf $(TQ_SYSTEMS_MEDIA_PKGDIR)
		@mkdir -p $(TQ_SYSTEMS_MEDIA_PKGDIR)
		@cp -r $(TQ_SYSTEMS_MEDIA_DIR)/usr $(TQ_SYSTEMS_MEDIA_PKGDIR)/
		@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/tq-systems-media.targetinstall:
	@$(call targetinfo)
	@$(call install_init, tq-systems-media)
	@$(call install_fixup,tq-systems-media,PRIORITY,optional)
	@$(call install_fixup,tq-systems-media,SECTION,base)
	@$(call install_fixup,tq-systems-media,AUTHOR,"Markus Niebel, TQ-Systems GmbH")
	@$(call install_fixup,tq-systems-media,DESCRIPTION,missing)
ifdef PTXCONF_TQ_SYSTEMS_MEDIA_SOUND
	@$(call install_tree, tq-systems-media, 0, 0, -, /usr/share/media/snd )
endif
ifdef PTXCONF_TQ_SYSTEMS_MEDIA_IMAGES
	@$(call install_tree, tq-systems-media, 0, 0, -, /usr/share/media/logo )
endif
ifdef PTXCONF_TQ_SYSTEMS_MEDIA_VIDEO
	@$(call install_tree, tq-systems-media, 0, 0, -, /usr/share/media/video )
endif
	@$(call install_finish,tq-systems-media)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

# vim: syntax=make
